Table of Contents

## Name

vdltodmx - dmx configuration file parser and printer

## Synopsis

vdltodmx infile outfile

## Description

vdltodmx reads the input file, which should be in VDL configuration file format. After a successful parse, a file in Xdmx configuration file format is written to the output file.

The VDL file format is used with xmovie, which is available from http://www.llnl.gov/icc/lc/img/xmovie/xmovie.html

## Example

Given the following VDL-format file:

>     0
>     2
>     2560 2048 Left two-thirds [restrict=*:2]
>     2
>     :2.1 1280 2048   0    0 0 0
>     :2.2 1280 2048   1280 0 0 0
>     4
>     1280 1024 0      0
>     1280 1024 0      1024
>     1280 1024 1280   0
>     1280 1024 1280   1024
>     2560 2048 Right two-thirds [restrict=*:2]
>     2
>     :2.2 1280 2048   0   0 0 0
>     :2.3 1280 2048   1280 0 0 0
>     4
>     1280 1024 1280    0
>     1280 1024 1280    1024
>     1280 1024 2560 0
>     1280 1024 2560 1024

the following DMX-format file will be produced:

>     virtual "Left two-thirds" 2560x2048 {
>         display :2.1 1280x2048;
>         display :2.2 1280x2048 @1280x0;
>     }
>     virtual "Right two-thirds" 2560x2048 {
>         display :2.2 1280x2048;
>         display :2.3 1280x2048 @1280x0;
>     }

## Bugs

If the VDL file is not in the expected format, the program will probably dump core.

## See Also

Xdmx(1) , xdmxconfig(1) , vdl(3) , xmovie(1)

Table of Contents

- Name
- Synopsis
- Description
- Example
- Bugs
- See Also